Bug 593101 - [abrt] crash in gnome-power-manager-2.28.2-2.fc12: IA__g_str_hash: Process /usr/bin/gnome-power-manager was killed by signal 11 (SIGSEGV)
[abrt] crash in gnome-power-manager-2.28.2-2.fc12: IA__g_str_hash: Process /u...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
abrt_hash:5de286301073a19d3847ba71d12...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-17 15:57 EDT by Laurent GAUTROT
Modified: 2010-12-03 09:36 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 09:36:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (13.72 KB, text/plain)
2010-05-17 15:57 EDT, Laurent GAUTROT
no flags Details

  None (edit)
Description Laurent GAUTROT 2010-05-17 15:57:54 EDT
abrt 1.0.9 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: gnome-power-manager
comment: I unplugged the battery off my eeePC while launching a GNOME session
component: gnome-power-manager
crash_function: IA__g_str_hash
executable: /usr/bin/gnome-power-manager
global_uuid: 5de286301073a19d3847ba71d1255020a88605df
kernel: 2.6.32.11-99.fc12.i686
package: gnome-power-manager-2.28.2-2.fc12
rating: 4
reason: Process /usr/bin/gnome-power-manager was killed by signal 11 (SIGSEGV)
release: Fedora release 12 (Constantine)

How to reproduce
-----
1. Launch a GNOME session
2.Unplug the battery while GNOME is firing up
Comment 1 Laurent GAUTROT 2010-05-17 15:57:56 EDT
Created attachment 414653 [details]
File: backtrace
Comment 2 Richard Hughes 2010-05-18 04:45:21 EDT
Could you try doing this with the F13live CD please? Thanks.
Comment 3 Laurent GAUTROT 2010-05-20 21:22:27 EDT
I just tried the F13 live USB.

gnome-power-manager does not crash anymore, even after several removal/insertion of the battery. The applet just disappears from the panel while the battery is removed, and is back upon insertion.

I also played with standby, and either with standby or just with the monitor switched off, the applet works as expected. Thanks a lot

I did not try hibernation, though.
Comment 4 Bug Zapper 2010-11-03 10:42:18 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-12-03 09:36:47 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.